> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Definition

> Returns the definition of the [product](/concepts/product) object, including its properties and their types. This endpoint is useful for understanding the structure of the product data and how to interact with it.




## OpenAPI

````yaml GET /product/definition
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /product/definition:
    get:
      description: >
        Returns the definition of the [product](/concepts/product) object,
        including its properties and their types. This endpoint is useful for
        understanding the structure of the product data and how to interact with
        it.
      operationId: getProductDefinition
      responses:
        '200':
          description: definition response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  result:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        type:
                          type: string
                        editable:
                          type: boolean
                        only_app_illuxi:
                          type: boolean
              example:
                status: true
                result:
                  product_id:
                    type: integer
                    editable: false
                  product_key:
                    type: string
                    editable: true
                  product_type_id:
                    type: string
                    editable: true
                  product_status:
                    type: string
                    editable: true
                  product_i18n_language_id:
                    type: string
                    editable: false
                  product_i18n_slug:
                    type: string
                    editable: true
                  product_i18n_title:
                    type: string
                    editable: true
                  product_i18n_summary:
                    type: string
                    editable: true
                  product_i18n_description:
                    type: string
                    editable: true
                  product_price:
                    type: float
                    editable: true
                  product_for_sale:
                    type: integer
                    editable: true
                  product_add_to_catalog:
                    type: integer
                    editable: true
                  product_min_score:
                    type: integer
                    editable: true
                  product_duration:
                    type: integer
                    editable: true
                  product_event_date:
                    type: datetime
                    editable: true
                  product_event_end_date:
                    type: datetime
                    editable: true
                  product_event_type:
                    type: string
                    editable: false
                  product_certificate_report:
                    type: integer
                    editable: true
                  product_certificate_working_type:
                    type: string
                    editable: true
                  product_allow_notation:
                    type: integer
                    editable: true
                  product_certificate_unit:
                    type: integer
                    editable: true
                  product_certificate_hour:
                    type: integer
                    editable: true
                  product_waiting_list:
                    type: integer
                    editable: true
                  product_show_list_of_participants:
                    type: integer
                    editable: true
                  product_min_participant:
                    type: integer
                    editable: true
                  product_external_id:
                    type: string
                    editable: true
                  product_external_code:
                    type: string
                    editable: false
                  product_i18n_name:
                    type: string
                    editable: true
                  product_i18n_learn:
                    type: string
                    editable: true
                  product_i18n_certificate_mention:
                    type: string
                    editable: true
                  product_i18n_region:
                    type: string
                    editable: true
                  product_i18n_admissibility:
                    type: string
                    editable: true
                  product_i18n_audience:
                    type: string
                    editable: true
                  product_i18n_how_to_access:
                    type: string
                    editable: true
                  product_i18n_extra_info:
                    type: string
                    editable: true
                  product_i18n_programmation:
                    type: string
                    editable: true
                  product_i18n_image_spotlight:
                    type: string
                    editable: true
                  product_i18n_first_reminder_text:
                    type: string
                    editable: true
                  product_i18n_second_reminder_text:
                    type: string
                    editable: true
                  product_i18n_post_reminder_text:
                    type: string
                    editable: true
                  product_i18n_speaker_bio:
                    type: string
                    editable: true
                  product_i18n_registration_text:
                    type: string
                    editable: true
                  product_i18n_creator_name:
                    type: string
                    editable: true
                  product_i18n_creator_url:
                    type: string
                    editable: true
                  product_i18n_promo_video_url:
                    type: string
                    editable: true
                  product_i18n_promo_video_url_vimeo_video_id:
                    type: string
                    editable: true
                  product_i18n_promo_video_url_vimeo_video_status:
                    type: string
                    editable: true
                  product_i18n_external_link:
                    type: string
                    editable: true
                  product_i18n_do_external_link:
                    type: string
                    editable: true
                  product_i18n_video_transcription:
                    type: string
                    editable: true
                  product_i18n_content:
                    type: string
                    editable: true
                  product_i18n_image:
                    type: string
                    editable: true
                  product_i18n_price_label:
                    type: string
                    editable: true
                  product_created_date:
                    type: datetime
                    editable: false
                  product_updated_date:
                    type: datetime
                    editable: false
                  product_created_by_user_id:
                    type: integer
                    editable: false
                  product_updated_by_user_id:
                    type: integer
                    editable: false
                  product_image_full_url:
                    type: string
                    editable: false
                  product_product_access_expired_day:
                    type: integer
                    editable: true
                  product_event_access_need_approval:
                    type: integer
                    editable: true
                  product_do_before_type:
                    type: string
                    editable: false
                  product_provider_id:
                    type: integer
                    editable: false
                  properties:
                    - amplio-exclusive-for-subs
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````